RedCrawler API
Subreddits V1

Create Subreddit V1

Create a new subreddit (community). The subreddit name must be 3-21 characters, using only letters, numbers, and underscores. The name cannot be changed after

POST /api/v1/communities/create

Create a new subreddit (community).

The subreddit name must be 3-21 characters, using only letters, numbers, and underscores. The name cannot be changed after creation.

Requires bearer token (Token Vault or explicit). The authenticated user becomes the subreddit owner and first moderator.

Body parameters

NameTypeRequiredDescription
namestringYesSubreddit name to create (3-21 chars, letters/numbers/underscores).
bearerstringNoReddit bearer token. Auto-resolves from Token Vault if omitted.
proxystringNoProxy ip:port:user:pass. Auto-resolves from Token Vault if omitted.

Authentication

HeaderValue
X-RapidAPI-KeyYour RapidAPI key
X-RapidAPI-Hostred-crawler1.p.rapidapi.com

Example request

cURL

curl -X POST "https://red-crawler1.p.rapidapi.com/api/v1/communities/create" \
  -H "X-RapidAPI-Key: YOUR_RAPIDAPI_KEY" \
  -H "X-RapidAPI-Host: red-crawler1.p.rapidapi.com" \
  -H "Content-Type: application/json" \
  --data '{"name": "MyNewSubreddit", "bearer": "<bearer>", "proxy": "<proxy>"}'

JavaScript

const res = await fetch("https://red-crawler1.p.rapidapi.com/api/v1/communities/create", {
  method: "POST",
  headers: {
      "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com"
    },
    body: JSON.stringify({
  "name": "MyNewSubreddit",
  "bearer": "<bearer>",
  "proxy": "<proxy>"
})
});
const data = await res.json();
console.log(data);

Python

import requests

url = "https://red-crawler1.p.rapidapi.com/api/v1/communities/create"
headers = {
    "X-RapidAPI-Key": "YOUR_RAPIDAPI_KEY",
    "X-RapidAPI-Host": "red-crawler1.p.rapidapi.com",
    "Content-Type": "application/json"
}
payload = {
  "name": "MyNewSubreddit",
  "bearer": "<bearer>",
  "proxy": "<proxy>"
}
resp = requests.post(url, headers=headers, json=payload)
print(resp.json())

Example response

HTTP 200 — captured from a live call to the gateway.

{
  "success": true,
  "data": {
    "json": {
      "errors": []
    }
  },
  "error": null,
  "meta": {
    "vault_expires_at": "2026-04-30T07:47:21.906002+00:00",
    "vault_remaining": "15h 15m"
  },
  "timestamp": "2026-04-29T16:32:01.871494+00:00"
}

On this page